/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.model;

/**
 * BlankModel
 * - 아무런 내용이 없는 모델이다. 모델로서 기본 동작 이외의 기능이 없는 경우 이용한다.
 * - 더이상 내용을 추가해서는 안된다.
 * - 기능이 필요하다면 새로운 모델을 생성하여 이용해야 한다.
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 5.]   [최초 작성]
 * @since 2018. 10. 5.
 */
public final class BlankModel extends Model {
  @Override
  protected final void destroyInternal() {
    /**
     * 여기에 아무것도 기술하지 마시오.
     */
  }

  @Override
  protected final void startInternal() {
    /**
     * 여기에 아무것도 기술하지 마시오.
     */
  }

  @Override
  protected final void stopInternal() {
    /**
     * 여기에 아무것도 기술하지 마시오.
     */
  }

  @Override
  protected final void resumeInternal() {
    /**
     * 여기에 아무것도 기술하지 마시오.
     */
  }

  @Override
  protected final void pauseInternal() {
    /**
     * 여기에 아무것도 기술하지 마시오.
     */
  }
}
